## a18c4e6becb2ddd12ea1cab97f03553aa621e1f2

=== src/pmdas/hotproc/src/Makefile ===
#!make

PCP_SRC_DEPTH = ../../..
include versiondefs
include $(ROOT)/usr/include/make/commondefs
include $(PCP_SRC_DEPTH)/include/commondefs

TARGETS	= $(FROM_PROC) pmda$(IAM)

PROC_DIR = ../../proc
PROC_SRCDIR = $(PROC_DIR)/src

FROM_PROC_H = cluster.h pracinfo.h proc_aux.h pscred.h \
	      pstatus.h pmemory.h proc.h procmem.h psinfo.h \
	      psusage.h ctltab.h nameinfo.h
FROM_PROC_C = pmemory.c pracinfo.c proc_aux.c \
	      pscred.c psinfo.c pstatus.c psusage.c \
	      ttyname.c procmem.c nameinfo.c

FROM_PROC = $(FROM_PROC_C) $(FROM_PROC_H)
CFILES	= $(FROM_PROC_C) \
	  pglobal.c ctltab.c hotproc.c pcpu.c \
	  config.c gram_node.c error.c ppred_values.c

OBJECTS = gram.o lex.o $(CFILES:S/.c/.o/g)

LCOPTS	= -fullwarn
LCINCS  = $(PCP_INC_PATH)
LCDEFS	= $(DEBUG)
LLDOPTS	= $(PCP_LIBS_PATH)
LLDLIBS	= -lpcp_dev -lpcp_pmda -lpcp -lc -ll

IAM	= hotproc
DOMAIN	= HOTPROC
LDIRT	= ../domain.h gram.h yy.lex.c y.tab.?

default: ../domain.h $(TARGETS)

include $(COMMONRULES)

install:	default

pmda$(IAM):	$(OBJECTS)
	rm -f $@
	$(CCF) -o $@ $(OBJECTS) $(LDOPTS) $(LDLIBS)
	$(TAG) 0x00010D01 $@

#
# PROC_SRCDIR dependencies
#
cluster.h: $(PROC_SRCDIR)/cluster.h
	ln -s $? $@
pracinfo.h: $(PROC_SRCDIR)/pracinfo.h
	ln -s $? $@
pracinfo.c: $(PROC_SRCDIR)/pracinfo.c
	ln -s $? $@
proc_aux.h: $(PROC_SRCDIR)/proc_aux.h
	ln -s $? $@
proc_aux.c: $(PROC_SRCDIR)/proc_aux.c
	ln -s $? $@
pscred.h: $(PROC_SRCDIR)/pscred.h
	ln -s $? $@
pscred.c: $(PROC_SRCDIR)/pscred.c
	ln -s $? $@
pstatus.h: $(PROC_SRCDIR)/pstatus.h
	ln -s $? $@
pstatus.c: $(PROC_SRCDIR)/pstatus.c
	ln -s $? $@
pmemory.h: $(PROC_SRCDIR)/pmemory.h
	ln -s $? $@
pmemory.c: $(PROC_SRCDIR)/pmemory.c
	ln -s $? $@
proc.h: $(PROC_SRCDIR)/proc.h
	ln -s $? $@
procmem.h: $(PROC_SRCDIR)/procmem.h
	ln -s $? $@
procmem.c: $(PROC_SRCDIR)/procmem.c
	ln -s $? $@
psinfo.h: $(PROC_SRCDIR)/psinfo.h
	ln -s $? $@
psinfo.c: $(PROC_SRCDIR)/psinfo.c
	ln -s $? $@
psusage.h: $(PROC_SRCDIR)/psusage.h
	ln -s $? $@
psusage.c: $(PROC_SRCDIR)/psusage.c
	ln -s $? $@
ttyname.c: $(PROC_SRCDIR)/ttyname.c
	ln -s $? $@
ctltab.h: $(PROC_SRCDIR)/ctltab.h
	ln -s $? $@
nameinfo.h: $(PROC_SRCDIR)/nameinfo.h
	ln -s $? $@
nameinfo.c: $(PROC_SRCDIR)/nameinfo.c
	ln -s $? $@


# grammar stuff

lex.o gram.o config.o:	gram.h

gram.h:	gram.y
	$(YACC) -d gram.y
	-if cmp -s y.tab.h $@; then rm y.tab.h; touch gram.h; else mv y.tab.h $@; fi

.NOTPARALLEL:
.ORDER: ../domain.h $(OBJECTS)

../domain.h:
	cd ..; make domain.h

=== debian/changelog ===
pcp (3.8.6) unstable; urgency=low

  * New release (full details in CHANGELOG).
  * Really resolve FTBFS for kfreebsd probes.h (closes: #725627)

 -- Nathan Scott <nathans@debian.org>  Fri, 01 Nov 2013 10:27:24 +1100

pcp (3.8.5) unstable; urgency=low

  * New release (full details in CHANGELOG).
  * Resolve FTBFS for kfreebsd probes.h (closes: #725627)

 -- Nathan Scott <nathans@debian.org>  Fri, 18 Oct 2013 08:49:26 +1100

pcp (3.8.4) unstable; urgency=low

  * New release (full details in CHANGELOG).
  * Remove Infiniband build deps, not there on all arches.

 -- Nathan Scott <nathans@debian.org>  Sun, 15 Sep 2013 10:53:16 +1000

pcp (3.8.3) unstable; urgency=low

  * New release (full details in CHANGELOG).
  * Resolve FTBFS for kfreebsd errno (closes: #721499)
  * Resolve FTBFS on s390x via -fPIC (closes: #721500)
  * Tackle a buildd issue with chown (closes: #719734)

 -- Nathan Scott <nathans@debian.org>  Mon, 09 Sep 2013 18:20:08 +1000

pcp (3.8.2) unstable; urgency=low

  * New release (full details in CHANGELOG).
  * Fix library symlink in libpcp-gui2-dev (closes: #715100)
  * Fix library symlink in libpcp-import1-dev (closes: #715101)
  * Fix library symlink in libpcp-mmv1-dev (closes: #715102)
  * Fix library symlink in libpcp-pmda3-dev (closes: #715103)
  * Fix library symlink in libpcp-trace2-dev (closes: #715104)

 -- Nathan Scott <nathans@debian.org>  Wed, 31 Jul 2013 08:12:02 +1000

pcp (3.8.1) unstable; urgency=low

  * New release (full details in CHANGELOG).
  * Introduces a collectl2pcp format-converter package.
  * Remove a second 'restrict' keyword use (closes: #689552)

 -- Nathan Scott <nathans@debian.org>  Wed, 19 Jun 2013 09:33:00 +1000

pcp (3.8.0) unstable; urgency=low

  * New release (full details in CHANGELOG).
  * Introduces SASL2 dependency in core PCP library.
  * Ensure install.log turds not left behind (closes: #705994)

 -- Nathan Scott <nathans@debian.org>  Tue, 14 May 2013 08:29:36 +1000

pcp (3.7.2) unstable; urgency=low

  * Add build dependency on python-all-dev (closes: #704717)
  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Fri, 19 Apr 2013 09:24:10 +1000

pcp (3.7.1) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Wed, 20 Mar 2013 09:01:30 +1100

pcp (3.7.0) unstable; urgency=low

  * New release (full details in CHANGELOG).
  * Resolve issues in python sub-package creation.
  * Introduces NSS dependency in core PCP library.

 -- Nathan Scott <nathans@debian.org>  Mon, 11 Mar 2013 11:03:56 +1100

pcp (3.6.10) unstable; urgency=low

  * New release (full details in CHANGELOG).
  * Resolves CVE-2012-5530 - insecure tmpfile flaws
  * Remove use of "restrict" keyword (closes: #689552)

 -- Nathan Scott <nathans@debian.org>  Mon, 19 Nov 2012 10:48:01 +1100

pcp (3.6.6) unstable; urgency=low

  * New release (full details in CHANGELOG).
  * Introduces a python-pcp package for client scripts.
  * Introduces an additional testsuite package for PCP QA tests.

 -- Nathan Scott <nathans@debian.org>  Tue, 28 Aug 2012 13:09:48 +1000

pcp (3.6.5) unstable; urgency=low

  * New release (full details in CHANGELOG).
  * Fixes for security advisory CVE-2012-3418 (PDU decoding errors)
  * Workaround for security advisory CVE-2012-3419 (proc disclosure)
  * Fixes for security advisory CVE-2012-3420 (libpcp/pmcd memleaks)
  * Fixes for security advisory CVE-2012-3421 (pmcd slow-client DoS)

 -- Nathan Scott <nathans@debian.org>  Thu, 16 Aug 2012 00:00:00 +0000

pcp (3.6.4) unstable; urgency=low

  * New release (full details in CHANGELOG).
  * Ensure correct pmpost used in startup scripts (closes: #677091)

 -- Nathan Scott <nathans@debian.org>  Tue, 12 Jun 2012 09:57:07 +1000

pcp (3.6.3) unstable; urgency=low

  * New release (full details in CHANGELOG).
  * Further kFreeBSD fixes, final remaining issue in glibc headers.

 -- Nathan Scott <nathans@debian.org>  Fri, 27 Apr 2012 11:25:47 +1000

pcp (3.6.2) unstable; urgency=low

  * New release (full details in CHANGELOG).
  * Resolve pcp RC script issue (closes: #668702)
  * Resolve FreeBSD build dependency (closes: #668671)

 -- Nathan Scott <nathans@debian.org>  Wed, 18 Apr 2012 20:23:05 +1000

pcp (3.6.1) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Thu, 12 Apr 2012 11:27:26 +1000

pcp (3.6.0) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Wed, 28 Mar 2012 10:39:34 +1100

pcp (3.5.11) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Thu, 01 Dec 2011 20:39:52 +1100

pcp (3.5.10) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Fri, 04 Nov 2011 11:11:11 +1100

pcp (3.5.9) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Sun, 23 Oct 2011 21:43:09 +1100

pcp (3.5.8) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Mon, 08 Aug 2011 12:21:13 +1000

pcp (3.5.7) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Fri, 05 Aug 2011 11:20:31 +1000

pcp (3.5.6) unstable; urgency=low

  * New release (full details in CHANGELOG).
  * Number of new lintian warnings resolved.
  * Updated standards version.
  * Resolve readline build dependency (closes: #634448)

 -- Nathan Scott <nathans@debian.org>  Thu, 21 Jul 2011 11:25:11 +1000

pcp (3.5.2) unstable; urgency=low

  * New release (full details in CHANGELOG).
  * Fix build when $HOME not set (closes: #625961)

 -- Nathan Scott <nathans@debian.org>  Fri, 03 Jun 2011 16:28:14 +1000

pcp (3.5.0) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Mon, 31 Jan 2011 21:01:35 +1100

pcp (3.4.1) unstable; urgency=low



=== debian/control ===
Source: pcp
Section: utils
Priority: extra
Homepage: http://oss.sgi.com/projects/pcp
Maintainer: PCP Development Team <pcp@oss.sgi.com>
Uploaders: Nathan Scott <nathans@debian.org>, Anibal Monsalve Salazar <anibal@debian.org>
Build-Depends: bison, flex, gawk, procps, debhelper (>= 5), perl (>= 5.6), libreadline-dev | libreadline5-dev | libreadline-gplv2-dev, chrpath, libbsd-dev [kfreebsd-any], libkvm-dev [kfreebsd-any], python-all, python-all-dev, libnspr4-dev, libnss3-dev, libsasl2-dev, libmicrohttpd-dev, libavahi-common-dev
#Architecture-dependent -- Build-Depends: libibumad-dev, libibmad-dev
Standards-Version: 3.9.3
X-Python-Version: >= 2.6

Package: pcp
Depends: ${shlibs:Depends}, ${misc:Depends}, gawk, procps, libpcp-pmda-perl, python-pcp, python
Suggests: tsocks
Conflicts: pgpool2
Recommends: pcp-gui, libpcp-import-perl
Architecture: any
Description: System level performance monitoring and performance management
 Performance Co-Pilot (PCP) is a framework and services to
 support system-level performance monitoring and performance
 management.
 .
 The Performance Co-Pilot provides a unifying abstraction for
 all of the interesting performance data in a system, and allows
 client applications to easily retrieve and process any subset of
 that data.

Package: libpcp3-dev
Section: libdevel
Depends: ${misc:Depends}, libpcp3 (= ${binary:Version}), libc6-dev | libc-dev
Breaks: pcp (<< 3.8.0)
Architecture: any
Description: Performance Co-Pilot library and headers
 The libpcp-dev package contains the base Performance Co-Pilot (PCP)
 library and header files needed to develop collector and monitor
 programs which make use of PCP services.
 .
 The Performance Co-Pilot provides a unifying abstraction for
 all of the interesting performance data in a system, and allows
 client applications to easily retrieve and process any subset of
 that data.

Package: libpcp3
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: pgpool2
Breaks: pcp (<< 2.8.0), libpcp3-dev (<< 2.8.5)
Section: libs
Architecture: any
Description: Performance Co-Pilot library
 The libpcp package contains the runtime environment required by
 programs that make use of Performance Co-Pilot (PCP) services.
 .
 The Performance Co-Pilot provides a unifying abstraction for
 all of the interesting performance data in a system, and allows
 client applications to easily retrieve and process any subset of
 that data.

Package: libpcp-gui2-dev
Section: libdevel
Depends: ${misc:Depends}, libpcp-gui2 (= ${binary:Version}), libpcp3 (= ${binary:Version})
Conflicts: libpcp-gui1-dev
Architecture: any
Description: Performance Co-Pilot graphical client tools library and headers
 The libpcp-gui-dev package contains the Performance Co-Pilot (PCP)
 library and header files needed to incorporate graphical time control
 (pmtime) into a monitoring application.
 .
 The Performance Co-Pilot provides a unifying abstraction for
 all of the interesting performance data in a system, and allows
 client applications to easily retrieve and process any subset of
 that data.

Package: libpcp-gui2
Depends: ${shlibs:Depends}, ${misc:Depends}
Section: libs
Architecture: any
Description: Performance Co-Pilot graphical client tools library
 The libpcp-gui package contains the runtime environment required by any
 monitoring tool that makes use of the time control services of pmtime(1).
 .
 The Performance Co-Pilot provides a unifying abstraction for
 all of the interesting performance data in a system, and allows
 client applications to easily retrieve and process any subset of
 that data.

Package: libpcp-mmv1-dev
Section: libdevel
Depends: ${misc:Depends}, libpcp-mmv1 (= ${binary:Version}), libpcp3 (= ${binary:Version})
Architecture: any
Description: Performance Co-Pilot Memory Mapped Value library and headers
 The libpcp-mmv-dev package contains the Performance Co-Pilot (PCP)
 library and header files needed to utilise memory mapped value
 instrumentation into a monitored application.
 .
 The Performance Co-Pilot provides a unifying abstraction for
 all of the interesting performance data in a system, and allows
 client applications to easily retrieve and process any subset of
 that data.

Package: libpcp-mmv1
Depends: ${shlibs:Depends}, ${misc:Depends}
Section: libs
Architecture: any
Description: Performance Co-Pilot Memory Mapped Value client library
 The libpcp-mmv package contains the runtime environment required by an
 application that utilises Memory Mapped Value instrumentation to export
 runtime instrumentation into the Performance Co-Pilot infrastructure.
 .
 The Performance Co-Pilot provides a unifying abstraction for
 all of the interesting performance data in a system, and allows
 client applications to easily retrieve and process any subset of
 that data.

Package: libpcp-pmda3-dev
Section: libdevel
Depends: ${misc:Depends}, libpcp-pmda3 (= ${binary:Version}), libpcp3 (= ${binary:Version})
Breaks: pcp (<< 2.8.0)
Architecture: any
Description: Performance Co-Pilot Domain Agent library and headers
 The libpcp-pmda-dev package contains the Performance Co-Pilot (PCP)
 library and header files needed to develop Performance Metric Domain
 Agents (PMDAs).  Each PMDA exports performance data for one domain;
 for example the operating system kernel, Cisco routers, a database,
 an application, etc.
 .
 The Performance Co-Pilot provides a unifying abstraction for
 all of the interesting performance data in a system, and allows
 client applications to easily retrieve and process any subset of
 that data.

Package: libpcp-pmda3
Depends: ${misc:Depends}, ${shlibs:Depends}
Section: libs
Architecture: any
Description: Performance Co-Pilot Domain Agent library
 The libpcp-pmda package contains the runtime environment required by
 a Performance Metric Domain Agent (PMDA).  A PMDA exports performance
 data for one specific domain, for example the operating system kernel,
 DNS, SMTP, Cisco router, a database, an application, etc.

Package: libpcp-trace2-dev
Section: libdevel
Depends: ${misc:Depends}, libpcp-trace2 (= ${binary:Version}), libpcp3 (= ${binary:Version})
Breaks: pcp (<< 2.8.0)
Architecture: any
Description: Performance Co-Pilot application tracing library and headers
 The libpcp-trace-dev package contains the Performance Co-Pilot (PCP)
 library and header files needed to directly instrument an application
 for event and value tracking by the pmdatrace(1) PCP Trace Performance
 Metric Domain Agent.
 .
 The Performance Co-Pilot provides a unifying abstraction for
 all of the interesting performance data in a system, and allows
 client applications to easily retrieve and process any subset of
 that data.

Package: libpcp-trace2
Depends: ${misc:Depends}, ${shlibs:Depends}
Section: libs
Architecture: any
Description: Performance Co-Pilot application tracing library
 The libpcp-trace package contains the runtime environment required by
 an application that is directly instrumented for event and value
 tracking by pmdatrace(3), the Trace Performance Metric Domain Agent.
 .
 The Performance Co-Pilot provides a unifying abstraction for
 all of the interesting performance data in a system, and allows
 client applications to easily retrieve and process any subset of
 that data.

Package: libpcp-import1-dev
Section: libdevel
Depends: ${misc:Depends}, libpcp-import1 (= ${binary:Version}), libpcp3-dev
Architecture: any
Description: Performance Co-Pilot data import library and headers
 The libpcp-import-dev package contains the library and header files
 needed to build an application that imports performance data from
 a file or real-time source and creates a Performance Co-Pilot (PCP)
 archive suitable for use with the PCP tools.
 .
 The Performance Co-Pilot provides a unifying abstraction for
 all of the interesting performance data in a system, and allows
 client applications to easily retrieve and process any subset of
 that data.

Package: libpcp-import1
Depends: ${misc:Depends}, ${shlibs:Depends}
Section: libs
Architecture: any
Description: Performance Co-Pilot data import library
 The libpcp-import package contains the runtime environment required
 by an application that imports performance data from a file or
 real-time source and creates a Performance Co-Pilot (PCP) archive
 suitable for use with the PCP tools.
 .
 The Performance Co-Pilot provides a unifying abstraction for
 all of the interesting performance data in a system, and allows
 client applications to easily retrieve and process any subset of
 that data.

Package: python-pcp
Section: python
Architecture: any
Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}, libpcp3 (= ${binary:Version})
Provides: ${python:Provides} 
Description: Performance Co-Pilot Python PMAPI module
 The PCP Python module contains the language bindings for
 building Performance Metric API client tools using Python.
 .
 The Performance Co-Pilot provides a unifying abstraction for
 all of the interesting performance data in a system, and allows
 client applications to easily retrieve and process any subset of
 that data.

Package: libpcp-pmda-perl
Section: perl
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends}, libpcp-pmda3 (= ${binary:Version})
Description: Performance Co-Pilot Domain Agent Perl module
 The PCP::PMDA Perl module contains the language bindings for
 building Performance Metric Domain Agents (PMDAs) using Perl.
 Each PMDA exports performance data for one specific domain, for
 example the operating system kernel, Cisco routers, a database,
 an application, etc.
 .
 The Performance Co-Pilot provides a unifying abstraction for
 all of the interesting performance data in a system, and allows
 client applications to easily retrieve and process any subset of
 that data.

Package: libpcp-import-perl
Section: perl
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends}, libpcp-import1 (= ${binary:Version})
Description: Performance Co-Pilot log import Perl module
 The PCP::LogImport Perl module contains the language bindings for
 building Perl applications that import performance data from a file
 or real-time source and create a Performance Co-Pilot (PCP) archive
 suitable for use with the PCP tools.
 .
 The Performance Co-Pilot provides a unifying abstraction for
 all of the interesting performance data in a system, and allows
 client applications to easily retrieve and process any subset of
 that data.

Package: libpcp-logsummary-perl
Section: perl
Architecture: any
Depends: ${misc:Depends}, ${perl:Depends}, pcp (= ${binary:Version})
Description: Performance Co-Pilot historical log summary module
 The PCP::LogSummary module provides a Perl module for using the
 statistical summary data produced by the Performance Co-Pilot
 pmlogsummary utility.  This utility produces various averages,
 minima, maxima, and other calculations based on the performance
 data stored in a PCP archive.  The Perl interface is ideal for
 exporting this data into third-party tools (e.g. spreadsheets).
 .
 The Performance Co-Pilot provides a unifying abstraction for
 all of the interesting performance data in a system, and allows
 client applications to easily retrieve and process any subset of
 that data.

Package: libpcp-mmv-perl
Section: perl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, libpcp-mmv1 (= ${binary:Version})
Description: Performance Co-Pilot Memory Mapped Value Perl module
 The PCP::MMV module contains the Perl language bindings for
 building scripts instrumented with the Performance Co-Pilot
 (PCP) Memory Mapped Value (MMV) mechanism.
 .
 This mechanism allows arbitrary values to be exported from an
 instrumented script into the PCP infrastructure for monitoring
 and analysis with pmchart, pmie, pmlogger and other PCP tools.

Package: pcp-import-sar2pcp
Depends: ${perl:Depends}, ${misc:Depends}, libpcp-import-perl, libxml-tokeparser-perl
Architecture: all
Description: Tool for importing data from sar into PCP archive logs
